package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 贷款申请_流程记录对象 dksq_lcjl
 * 
 * @author boman
 * @date 2023-06-15
 */
public class DksqLcjl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 贷款申请id */
    @Excel(name = "贷款申请id")
    private Long dksqId;

    /** 申请状态 1:提交申请 2:人社局审查 3:银行评估 4:银行放贷 */
    @Excel(name = "申请状态 1:提交申请 2:人社局审查 3:银行评估 4:银行放贷")
    private String type;

    /** 申请结果 1:等待 2:通过 3:未通过 */
    @Excel(name = "申请结果 1:等待 2:通过 3:未通过")
    private String result;

    /** 审查状态 */
    @Excel(name = "审查状态")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDksqId(Long dksqId) 
    {
        this.dksqId = dksqId;
    }

    public Long getDksqId() 
    {
        return dksqId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setResult(String result) 
    {
        this.result = result;
    }

    public String getResult() 
    {
        return result;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dksqId", getDksqId())
            .append("type", getType())
            .append("result", getResult())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
